Skip to contents

# Download REDCap data

Source: `R/read_redcap_tables.R`
`read_redcap_tables.Rd`

Implementation of passed on to REDCap_split with a focused data acquisition approach using passed on to redcap_read and only downloading specified fields, forms and/or events using the built-in focused_metadata including some clean-up. Works with classical and longitudinal projects with or without repeating instruments. Will preserve metadata in the data.frames as labels.

## Usage

    read_redcap_tables(
      uri,
      token,
      records = NULL,
      fields = NULL,
      events = NULL,
      forms = NULL,
      raw_or_label = c("raw", "label", "both"),
      split_forms = c("all", "repeating", "none"),
      ...
    )

## Arguments

uri

  REDCap database API uri

token

  API token

records

  records to download

fields

  fields to download

events

  events to download

forms

  forms to download

raw_or_label

  raw or label tags. Can be "raw", "label" or "both".

  * "raw": Standard redcap_read method to get raw values. * "label": Standard redcap_read method to get label values. * "both": Get raw values with REDCap labels applied as labels. Use as_factor to format factors with original labels and use the `gtsummary` package functions like tbl_summary to easily get beautiful tables with original labels from REDCap. Use fct_drop to drop empty levels.

split_forms

  Whether to split "repeating" or "all" forms, default is all. Give "none" to export native semi-long REDCap format

...

  passed on to redcap_read

## Value

list of instruments

## Examples

    # Examples will be provided later